# -*- coding: utf-8 -*-
# $Id$
"""
PortalTransforms setup handlers.
"""
from Products.CMFCore.utils import getToolByName
from Products.Plone2Pdf.config import PROJECTNAME

def unregTransform(logger,portal):
    transform_tool = getToolByName(portal, 'portal_transforms')
    transform_tool.unregisterTransform('html_to_pdf')

def installPdfTransform(logger,portal): 
    # unreg if necessary
    try:
        unregTransform(logger, portal)
    except:
        pass
    
    transform_tool = getToolByName(portal, 'portal_transforms')
    transform_tool.manage_addTransform('html_to_pdf', 'Products.Plone2Pdf.html_to_pdf')


def setupPortalTransforms(context):
    """
    Setup PortalTransforms step.
    """
    if context.readDataFile("install-transforms.txt") is None:
       return

    site = context.getSite()
    logger = context.getLogger(PROJECTNAME)
    logger.info('setupPortalTransforms')
    installPdfTransform(logger,site)

def uninstallPortalTransforms(context):
    """
    Setup PortalTransforms step.
    """
    if context.readDataFile("uninstall-transforms.txt") is None:
       return

    site = context.getSite()
    logger = context.getLogger(PROJECTNAME)
    logger.info('uninstallPortalTransforms')
    unregTransform(logger, site)
